Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
An overlay for Gentoo Linux with experimental Qt4 ebuilds and related packages
tree: e070c9f310

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
Documentation
app-admin
app-crypt/pinentry
app-dicts/goldendict
app-editors/qxmledit
app-emulation
app-misc
app-portage/eix
app-text/poppler
dev-db/unixODBC-GUI-Qt
dev-embedded/qvfb
dev-libs
dev-python
dev-ruby/qt4-qtruby
dev-util
dev-vcs
eclass
licenses
mail-client/imapquickcheck
media-gfx
media-sound
media-video
net-dialup/checkppp
net-im
net-libs/qmf
net-misc
net-news/urssus
profiles
sci-calculators/speedcrunch
sci-electronics/fritzing
sets
www-client
x11-libs
x11-misc
x11-terms/qterminal
x11-themes
x11-wm
.gitignore
.mailmap
README.rst
sets.conf

README.rst

Welcome to the qting-edge overlay!

This is where the Gentoo Qt team develops and maintains ebuilds for experimental Qt4 versions (pre-releases and "live" code from git or svn) and Qt4 related packages. For your convenience we provide some sets and package.keyword files.

Please note that we use the following versioning scheme:

  • 4.x.y_beta, 4.x.y_rc are official pre-releases.

  • 4.x.9999[-kde-qt] is "live" code from Nokia's Qt Software git repository.
    • 4.x.9999[stable-branch] is cloning the Nokia's stable-branch tree.

    This code is consider stable enough for everyday usage but it gets bumped quite rarely. - 4.x.9999[-stable-branch] is cloning the Nokia's master tree. This code is highly experimental and gets a lot of daily updates.

  • 4.6.9999[kde-qt] is "live" code from KDE's kde-qt git repository.

The corresponding sets we define are:

qt-all-4.7
the latest official pre-release.
qt-all-{,4.6,4.7}-live-nokia
"live" code from Nokia's Qt Software git repo.
qt-all-live-kde
"live" code from KDE's kde-qt git repo.

If you want to use kde-qt, you should mask the official pre-releases.

Even though we are trying to do our best regarding that build status of live Qt packages, they may not work all the time. You might want to consult our automatically generated page which lists the status of all Qt live ebuilds http://dev.gentoo.org/~hwoarang/qt/qt4-live-status.html

You don't need to emerge the Qt ebuilds specifically, they are normally pulled in as dependencies for packages that use Qt4. But you may want to have all of Qt4 installed, for example if you are a developer or tester. In that case we recommend you copy the most applicable set to your /etc/portage/sets/ directory, rename it (to prevent portage error on set redefinition), and customize it to your own wishes.

KDE users should note that at this point they need to use the media-libs/phonon package instead of x11-libs/qt-phonon. As a result we have commented out qt-phonon in the qt-all-live-kde set. Apart from that, KDE can use the official Nokia Qt version, but has specific patches in kde-qt that should result in a smoother KDE user experience.

Non-KDE users should stick to the official Qt packages from Nokia Qt Software (previously Trolltech).

If you have questions, you can find us on IRC in #gentoo-qt on Freenode or at qt@gentoo.org.

Bugs should be reported on https://bugs.gentoo.org. Be sure to include [qting-edge] in the summary of your bug report.

Users wanting to contribute should first read the Qt4 ebuild guide.

Happy Qting!

The Gentoo Qt team

Something went wrong with that request. Please try again.